AccessibleValue Interface
3
AT-SPI-CSPI Library

# AccessibleValue Interface

An interface implemented by valuators, sliders, and other onscren components which allow discrete or continuous values to be manipulated.

## Synopsis

    void                AccessibleValue_ref                 (AccessibleValue *obj);
    void                AccessibleValue_unref               (AccessibleValue *obj);
    double              AccessibleValue_getCurrentValue     (AccessibleValue *obj);
    double              AccessibleValue_getMaximumValue     (AccessibleValue *obj);
    double              AccessibleValue_getMinimumValue     (AccessibleValue *obj);
    SPIBoolean          AccessibleValue_setCurrentValue     (AccessibleValue *obj,
                                                             double newValue);
    double              AccessibleValue_getMinimumIncrement (AccessibleValue *obj);

## Description

The Value interface is exposed by sliders, scrollbars, dials, and other components which are used to change scalar values in an application. The interface may be used to change a value in an "approximately continuous" fashion, or in integer increments - the interface allows the client to determine the incremental granularity of the adjustments possible, the possible range of values, and the current value. It also allows the value to be programmatically set, if the implementor's state does not include READONLY.

## Details

### AccessibleValue_ref ()

    void                AccessibleValue_ref                 (AccessibleValue *obj);

Increment the reference count for an AccessibleValue object.

`obj` :

  a pointer to the AccessibleValue implementor on which to operate.

### AccessibleValue_unref ()

    void                AccessibleValue_unref               (AccessibleValue *obj);

Decrement the reference count for an AccessibleValue object.

`obj` :

  a pointer to the AccessibleValue implementor on which to operate.

### AccessibleValue_getCurrentValue ()

    double              AccessibleValue_getCurrentValue     (AccessibleValue *obj);

Get the current value for an AccessibleValue.

`obj` :

  a pointer to the AccessibleValue implementor on which to operate.

Returns :

  the current value for this object.

### AccessibleValue_getMaximumValue ()

    double              AccessibleValue_getMaximumValue     (AccessibleValue *obj);

Get the maximum allowed value for an AccessibleValue.

`obj` :

  a pointer to the AccessibleValue implementor on which to operate.

Returns :

  the maximum allowed value for this object.

### AccessibleValue_getMinimumValue ()

    double              AccessibleValue_getMinimumValue     (AccessibleValue *obj);

Get the minimum allowed value for an AccessibleValue.

`obj` :

  a pointer to the AccessibleValue implementor on which to operate.

Returns :

  the minimum allowed value for this object.

### AccessibleValue_setCurrentValue ()

    SPIBoolean          AccessibleValue_setCurrentValue     (AccessibleValue *obj,
                                                             double newValue);

Set the current value of an AccessibleValue.

`obj` :

  a pointer to the AccessibleValue implementor on which to operate.

`newValue` :

  a float value which is the desired new value of the object.

Returns :

  TRUE if the value could be assigned the specified value, FALSE otherwise.

### AccessibleValue_getMinimumIncrement ()

    double              AccessibleValue_getMinimumIncrement (AccessibleValue *obj);

Get the minimum increment by which an AccessibleValue can be adjusted.

`obj` :

  a pointer to the AccessibleValue implementor on which to operate.

Returns :

  the minimum increment by which the value may be changed, or zero if the minimum increment cannot be determined.